Bug 226279 - Merge Review: perl-Socket6
Merge Review: perl-Socket6
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 15:38 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 05:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:38:02 EST
Fedora Merge Review: perl-Socket6

Initial Owner: wtogami@redhat.com
Comment 1 Parag AN(पराग) 2007-10-22 03:05:31 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
35e4bb7e09ca3154a44bcaa8959780a2  Socket6-0.19.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.03 cusr +  0.00 csys =  0.03 CPU)
+ Package perl-Socket6-0.19-4.fc8.1 ->
  Provides: Socket6.so perl(Socket6) = 0.19
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) perl(:MODULE_COMPAT_5.8.8)
perl(Carp) perl(DynaLoader) perl(Exporter) perl(vars) rtld(GNU_HASH)

   Don't think need to use Release as "4%{?dist}.1" Instead keep it simple


Comment 2 Parag AN(पराग) 2007-11-11 02:04:25 EST
Can we CLOSE this review if package is already built and in rawhide?

Note You need to log in before you can comment on or make changes to this bug.